--------------------------------------------------------------
--
-- This installation script adds a SiteMap table to the
-- MyComics database. It also adds records representing site
-- nodes to the table.
--
--------------------------------------------------------------

USE MyComics
GO

CREATE TABLE [dbo].[SiteMap] (
	[Title] [varchar] (32) NOT NULL ,
	[Url]   [varchar] (512) NOT NULL,
	[Roles] [varchar] (512) NULL
) ON [PRIMARY]
GO
delete SiteMap
GO
INSERT INTO [dbo].[SiteMap] (Title, Url) VALUES ('Favorites', 'Favorites.aspx')
INSERT INTO [dbo].[SiteMap] (Title, Url, Roles) VALUES ('Admin', 'Secure/Admin.aspx', 'Administrators')
INSERT INTO [dbo].[SiteMap] (Title, Url) VALUES ('Hot Picks', 'HotPicks.aspx')
INSERT INTO [dbo].[SiteMap] (Title, Url) VALUES ('Events', 'Events.aspx')
INSERT INTO [dbo].[SiteMap] (Title, Url) VALUES ('Forums', 'Forums.aspx')
INSERT INTO [dbo].[SiteMap] (Title, Url) VALUES ('FAQ', 'FAQ.aspx')
GO