using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Interest : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
	protected void Button1_Click(object sender, EventArgs e)
	{
		double p, r, m;

		try
		{
			p = Convert.ToDouble(Amount.Text);
			r = Convert.ToDouble(Rate.Text) / 100.0;
			m = Convert.ToDouble(Months.Text);
		}
		catch (FormatException)
		{
			Amount.Text = String.Empty;
			Rate.Text = String.Empty;
			Months.Text = String.Empty;
			Label1.Text = String.Empty;
			return;
		}

		double tmp = System.Math.Pow(1 + (r / 12), m);
		double payment = p * (((r / 12) * tmp) / (tmp - 1));
		Label1.Text = payment.ToString("c");
	}
}
